%define aurox_ver 10.0
%define rel 1


Summary: MySQL plugin for libdbi
Name: libdbi-dbd-mysql
Version: 0.7.1
Release: %{aurox_ver}.aur.%{rel}
Group: Development/Libraries
License: LGPL
URL: http://libdbi-drivers.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libdbi-drivers/libdbi-drivers-%{version}.tar.gz
Requires: libdbi >= %{version}
BuildRequires: libdbi-devel >= %{version}
BuildRequires: mysql-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This plugin provides connectivity to MySQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%package -n libdbi-dbd-pgsql
Summary: PostgreSQL plugin for libdbi
Group: Development/Libraries
Requires: libdbi >= %{version}
BuildRequires: libdbi-devel >= %{version}
BuildRequires: postgresql-devel, krb5-devel, openssl-devel

%description -n libdbi-dbd-pgsql
This plugin provides connectivity to PostgreSQL database servers through the
libdbi database independent abstraction layer. Switching a program's plugin
does not require recompilation or rewriting source code.

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%prep
%setup -q -n libdbi-drivers-%{version}

%build
# configure is broken, must pass both --with-*sql-libdir _AND_
# --with-*sql-incdir in order for --with-*sql-libdir to be used
%configure --with-mysql --with-pgsql --with-mysql-libdir=%{_libdir}/mysql \
	--with-mysql-incdir=%{_includedir} \
	--with-pgsql-libdir=%{_libdir} \
	--with-pgsql-incdir=%{_includedir}
make %{?_smp_mflags}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#makeinstall plugindir=$RPM_BUILD_ROOT%{_libdir}/dbd
make DESTDIR=$RPM_BUILD_ROOT install
# we split docs
rm -rf $RPM_BUILD_ROOT/usr/share/doc/libdbi-drivers-%{version}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libdbi-dbd-mysql
%defattr(-,root,root)
%doc drivers/mysql/AUTHORS
%doc drivers/mysql/TODO
%doc COPYING
%doc drivers/mysql/README
%doc drivers/mysql/*.pdf
%doc drivers/mysql/dbd_mysql
%{_libdir}/dbd/libmysql.so
%{_libdir}/dbd/libmysql.la
%{_libdir}/dbd/libmysql.a

%files -n libdbi-dbd-pgsql
%defattr(-,root,root)
%doc drivers/pgsql/AUTHORS
%doc drivers/pgsql/TODO
%doc COPYING
%doc drivers/pgsql/README
%doc drivers/pgsql/*.pdf
%doc drivers/pgsql/dbd_pgsql
%{_libdir}/dbd/libpgsql.so
%{_libdir}/dbd/libpgsql.la
%{_libdir}/dbd/libpgsql.a

%changelog
* Tue Jul 20 2004 Aurox Team <aurox@aurox.org> 0:0.7.1-10.0.aur.1
- rebuild for Aurox 10.0

* Sun Feb 01 2004 Aurox Team <aurox@aurox.org> 0:0.7.1-9.3.aur.1
- add static drivers to the file lists
- loosen requirements on libdbi version required
- update to 0.7.1

* Tue Jul 08 2003 Robert Glowczynski <robertg@software.com.pl> 0.7.0-9.1.aur.1
- 0.7.0 - split

